<html>
<head>
<title>OGRE: Class Members - Functions - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li class="current"><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="functions.html"><span>All</span></a></li>
    <li class="current"><a href="functions_func.html"><span>Functions</span></a></li>
    <li><a href="functions_vars.html"><span>Variables</span></a></li>
    <li><a href="functions_type.html"><span>Typedefs</span></a></li>
    <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
    <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
    <li><a href="functions_rela.html"><span>Related&nbsp;Functions</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="functions_func.html#index__"><span>_</span></a></li>
    <li><a href="functions_func_0x61.html#index_a"><span>a</span></a></li>
    <li><a href="functions_func_0x62.html#index_b"><span>b</span></a></li>
    <li><a href="functions_func_0x63.html#index_c"><span>c</span></a></li>
    <li><a href="functions_func_0x64.html#index_d"><span>d</span></a></li>
    <li><a href="functions_func_0x65.html#index_e"><span>e</span></a></li>
    <li><a href="functions_func_0x66.html#index_f"><span>f</span></a></li>
    <li><a href="functions_func_0x67.html#index_g"><span>g</span></a></li>
    <li><a href="functions_func_0x68.html#index_h"><span>h</span></a></li>
    <li><a href="functions_func_0x69.html#index_i"><span>i</span></a></li>
    <li><a href="functions_func_0x6b.html#index_k"><span>k</span></a></li>
    <li><a href="functions_func_0x6c.html#index_l"><span>l</span></a></li>
    <li><a href="functions_func_0x6d.html#index_m"><span>m</span></a></li>
    <li><a href="functions_func_0x6e.html#index_n"><span>n</span></a></li>
    <li class="current"><a href="functions_func_0x6f.html#index_o"><span>o</span></a></li>
    <li><a href="functions_func_0x70.html#index_p"><span>p</span></a></li>
    <li><a href="functions_func_0x71.html#index_q"><span>q</span></a></li>
    <li><a href="functions_func_0x72.html#index_r"><span>r</span></a></li>
    <li><a href="functions_func_0x73.html#index_s"><span>s</span></a></li>
    <li><a href="functions_func_0x74.html#index_t"><span>t</span></a></li>
    <li><a href="functions_func_0x75.html#index_u"><span>u</span></a></li>
    <li><a href="functions_func_0x76.html#index_v"><span>v</span></a></li>
    <li><a href="functions_func_0x77.html#index_w"><span>w</span></a></li>
    <li><a href="functions_func_0x78.html#index_x"><span>x</span></a></li>
    <li><a href="functions_func_0x79.html#index_y"><span>y</span></a></li>
    <li><a href="functions_func_0x7a.html#index_z"><span>z</span></a></li>
    <li><a href="functions_func_0x7e.html#index_~"><span>~</span></a></li>
  </ul>
</div>

<p>
&nbsp;
<p>
<h3><a class="anchor" name="index_o">- o -</a></h3><ul>
<li>objectAttached()
: <a class="el" href="classOgre_1_1MovableObject_1_1Listener.html#67127c7e6254c75a3e3f064e614a8152">Ogre::MovableObject::Listener</a>
<li>objectDestroyed()
: <a class="el" href="classOgre_1_1MovableObject_1_1Listener.html#0cc50a90dbeb3d1049e923ee5866a636">Ogre::MovableObject::Listener</a>
<li>objectDetached()
: <a class="el" href="classOgre_1_1MovableObject_1_1Listener.html#a2a6f73325a1609a522a9d6dce5168cf">Ogre::MovableObject::Listener</a>
<li>objectMoved()
: <a class="el" href="classOgre_1_1MovableObject_1_1Listener.html#7383d0ff8a3e3777378e1a9f9661146f">Ogre::MovableObject::Listener</a>
<li>objectQueryLights()
: <a class="el" href="classOgre_1_1MovableObject_1_1Listener.html#d53d3feb40d1d1fb81db1cb620df6d8e">Ogre::MovableObject::Listener</a>
<li>objectRendering()
: <a class="el" href="classOgre_1_1MovableObject_1_1Listener.html#3935f0e525d63b03923aa67b137c0695">Ogre::MovableObject::Listener</a>
<li>OGRE_STATIC_MUTEX()
: <a class="el" href="classOgre_1_1Pass.html#b25733e77cd0b2f558d62e5a7ab7592e">Ogre::Pass</a>
<li>OGRE_THREAD_POINTER()
: <a class="el" href="classOgre_1_1CompositorManager.html#8ced60bfb85a709a2a47b6ac8aeb03cd">Ogre::CompositorManager</a>
, <a class="el" href="classOgre_1_1MaterialManager.html#8bc2e41f4cfefc9cbcb00032eb95931d">Ogre::MaterialManager</a>
<li>OGRE_THREAD_SYNCHRONISER()
: <a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#e04ad37bc376b91bf82c7e9da403d909">Ogre::ResourceBackgroundQueue</a>
<li>OgreFormat2ilFormat()
: <a class="el" href="classOgre_1_1ILUtil.html#76de19ce6e6f3584e2a118264798a02e">Ogre::ILUtil</a>
<li>oneTimePostWindowInit()
: <a class="el" href="classOgre_1_1Root.html#47555efb676ce85beb51df0d7b0f6eae">Ogre::Root</a>
<li>open()
: <a class="el" href="classOgre_1_1Archive.html#97a32cbab0c58de16f727e17298e5db0">Ogre::Archive</a>
, <a class="el" href="classOgre_1_1FileSystemArchive.html#7c642fb75a5b88aa8bb0366e94302a1a">Ogre::FileSystemArchive</a>
, <a class="el" href="classOgre_1_1ZipArchive.html#589b99096196ff28ccb5514fb1e312d5">Ogre::ZipArchive</a>
<li>openResource()
: <a class="el" href="classOgre_1_1ResourceGroupManager.html#59383aca4ce35694ebce498d43283567">Ogre::ResourceGroupManager</a>
<li>openResources()
: <a class="el" href="classOgre_1_1ResourceGroupManager.html#3d0c6c5951154b20ff08b77c49aa91b4">Ogre::ResourceGroupManager</a>
<li>operationCompleted()
: <a class="el" href="classOgre_1_1ResourceBackgroundQueue_1_1Listener.html#4d9bc827331576c11637c76e0a6fa5c1">Ogre::ResourceBackgroundQueue::Listener</a>
<li>operationCompletedInThread()
: <a class="el" href="classOgre_1_1ResourceBackgroundQueue_1_1Listener.html#a827a7b0a76edaaf6ed2cd5c66a0f2ea">Ogre::ResourceBackgroundQueue::Listener</a>
<li>operator *()
: <a class="el" href="classOgre_1_1Matrix3.html#12df713351b0a7a3f336b32fba82effb">Ogre::Matrix3</a>
, <a class="el" href="classOgre_1_1Matrix4.html#0e1e208f7aa1283990d70ae7073ca439">Ogre::Matrix4</a>
, <a class="el" href="classOgre_1_1Quaternion.html#eef8999c2373520e4f21572a21469dbe">Ogre::Quaternion</a>
, <a class="el" href="classOgre_1_1Ray.html#33d296a44a9a3813108e9abcaed7418d">Ogre::Ray</a>
, <a class="el" href="classOgre_1_1SharedPtr.html#8ea458552899a134e19e8fe69e03453a">Ogre::SharedPtr&lt; T &gt;</a>
, <a class="el" href="classOgre_1_1Vector2.html#4fdaaf501796c450d0671d41b4dafbe5">Ogre::Vector2</a>
, <a class="el" href="classOgre_1_1AnyNumeric.html#4e66ac542966477326594bbcaff6c1bf">Ogre::AnyNumeric</a>
, <a class="el" href="classOgre_1_1Vector3.html#a5da201689c5ebb6c721b3458aae6efa">Ogre::Vector3</a>
, <a class="el" href="classOgre_1_1AnyNumeric.html#ee6cd64fb5fead543f31223cb007057e">Ogre::AnyNumeric</a>
, <a class="el" href="classOgre_1_1Vector4.html#bc543c3d85c79acd14dcc530584d1d65">Ogre::Vector4</a>
, <a class="el" href="classOgre_1_1ColourValue.html#d9ed9e866b4a32512aeb019ebc905a09">Ogre::ColourValue</a>
, <a class="el" href="classOgre_1_1Radian.html#24214d945e0664083faea2c0ad6379b9">Ogre::Radian</a>
, <a class="el" href="classOgre_1_1Degree.html#26945055e5d089356aafee4b983ccab0">Ogre::Degree</a>
, <a class="el" href="classOgre_1_1Matrix3.html#49fb0638e083434ba73c10ea5d0f41e7">Ogre::Matrix3</a>
<li>operator *=()
: <a class="el" href="classOgre_1_1AnyNumeric.html#3f0b93de432f171f191d323fd181b2b0">Ogre::AnyNumeric</a>
, <a class="el" href="classOgre_1_1ColourValue.html#5b88ee5903d59c1073460987a88c2773">Ogre::ColourValue</a>
, <a class="el" href="classOgre_1_1Radian.html#66eddefc4a3834bd0c9cac9e03b86e8d">Ogre::Radian</a>
, <a class="el" href="classOgre_1_1Degree.html#3529ac07f8aa280de00a70eb15dfeebe">Ogre::Degree</a>
, <a class="el" href="classOgre_1_1Vector2.html#710343631b9a695d34fa0dac9231373f">Ogre::Vector2</a>
, <a class="el" href="classOgre_1_1Vector3.html#73ff015725314ef25bab902bf27cd4e6">Ogre::Vector3</a>
, <a class="el" href="classOgre_1_1Vector4.html#df84c66492823f9c7a609133cf7ebfb1">Ogre::Vector4</a>
<li>operator Degree()
: <a class="el" href="classOgre_1_1Angle.html#432fde2d075b7e2b916a5713a02c9760">Ogre::Angle</a>
<li>operator Radian()
: <a class="el" href="classOgre_1_1Angle.html#9fafb5d83c03c4e105cd7ea6334e249b">Ogre::Angle</a>
<li>operator!=()
: <a class="el" href="classOgre_1_1AxisAlignedBox.html#d9a9f1e39dbb38220f1e416b188082ab">Ogre::AxisAlignedBox</a>
, <a class="el" href="classOgre_1_1LayerBlendModeEx.html#1ea4fff299261c723f025337c513dc88">Ogre::LayerBlendModeEx</a>
, <a class="el" href="classOgre_1_1ColourValue.html#d89235b7111c0b8158516126feac734e">Ogre::ColourValue</a>
, <a class="el" href="classOgre_1_1ConvexBody.html#54167fd6c91338d1d107fa866c329a3b">Ogre::ConvexBody</a>
, <a class="el" href="classOgre_1_1VertexDeclaration.html#64989816c9979aac5a5416d488d547d5">Ogre::VertexDeclaration</a>
, <a class="el" href="classOgre_1_1Radian.html#9f9f5aea99b80fa8eadccf8352a78be8">Ogre::Radian</a>
, <a class="el" href="classOgre_1_1Degree.html#2cd29ec57a50ddb062f5ee1dd4ac59a4">Ogre::Degree</a>
, <a class="el" href="classOgre_1_1Matrix3.html#c28de07a8eeb9257d9f6a85c8bf9a0df">Ogre::Matrix3</a>
, <a class="el" href="classOgre_1_1Matrix4.html#67d3ae14b6b68e6824f1a91d99da16f8">Ogre::Matrix4</a>
, <a class="el" href="classOgre_1_1Plane.html#dae7d1d5d43cbe44cd40fc1e86784268">Ogre::Plane</a>
, <a class="el" href="classOgre_1_1Polygon.html#0db7b835ad9015300d80253f0e7438cf">Ogre::Polygon</a>
, <a class="el" href="classOgre_1_1Quaternion.html#aac827806910efa70a5deaa6d75bf3e1">Ogre::Quaternion</a>
, <a class="el" href="structOgre_1_1SceneManager_1_1LightInfo.html#5f521405ca7af2b93ada5847d9a65ccc">Ogre::SceneManager::LightInfo</a>
, <a class="el" href="classOgre_1_1Vector2.html#f8a82d880cf79a247d4eb8a70f61702f">Ogre::Vector2</a>
, <a class="el" href="classOgre_1_1Vector3.html#6912f6690162a822f5606daef1345588">Ogre::Vector3</a>
, <a class="el" href="classOgre_1_1Vector4.html#0aa33b3bb9f3b8b8ef7037eaf43bedc8">Ogre::Vector4</a>
, <a class="el" href="classOgre_1_1AlignedAllocator.html#02f073c6d6dcfb5b8588020c52206c28">Ogre::AlignedAllocator&lt; T, Alignment &gt;</a>
, <a class="el" href="classOgre_1_1AnimationState.html#7f21613e63dfd864ddd3df640c2131a4">Ogre::AnimationState</a>
<li>operator()()
: <a class="el" href="classOgre_1_1Any.html#4d704178de8d4c025248da486385ac75">Ogre::Any</a>
, <a class="el" href="structOgre_1_1BillboardSet_1_1SortByDirectionFunctor.html#d054499a0ed9f9c4489d1c39b4d2cc1d">Ogre::BillboardSet::SortByDirectionFunctor</a>
, <a class="el" href="structOgre_1_1BillboardSet_1_1SortByDistanceFunctor.html#2842606f615b2f21854d903bc10557bd">Ogre::BillboardSet::SortByDistanceFunctor</a>
, <a class="el" href="structOgre_1_1EdgeListBuilder_1_1geometryLess.html#e3ee571d8bbc79683d4197d80330beb9">Ogre::EdgeListBuilder::geometryLess</a>
, <a class="el" href="structOgre_1_1EdgeListBuilder_1_1vectorLess.html#909bd54fed1252502a81e0cd7dfe5875">Ogre::EdgeListBuilder::vectorLess</a>
, <a class="el" href="structOgre_1_1ParticleSystem_1_1SortByDirectionFunctor.html#b96e93182e505d4ebb5529629a6e6689">Ogre::ParticleSystem::SortByDirectionFunctor</a>
, <a class="el" href="structOgre_1_1ParticleSystem_1_1SortByDistanceFunctor.html#27d9a78e9ddfffcd418faab8d11bd23a">Ogre::ParticleSystem::SortByDistanceFunctor</a>
, <a class="el" href="structOgre_1_1Pass_1_1HashFunc.html#400b09fb165aef788325d193a7c3d2a0">Ogre::Pass::HashFunc</a>
, <a class="el" href="structOgre_1_1QueuedRenderableCollection_1_1PassGroupLess.html#9600b8c32a4c168e3f7f58f8eeeaccd2">Ogre::QueuedRenderableCollection::PassGroupLess</a>
, <a class="el" href="structOgre_1_1QueuedRenderableCollection_1_1DepthSortDescendingLess.html#e7f6866b54ba54e39ad26d5b706771aa">Ogre::QueuedRenderableCollection::DepthSortDescendingLess</a>
, <a class="el" href="structOgre_1_1QueuedRenderableCollection_1_1RadixSortFunctorPass.html#b22672c70231fc47358363b432009b12">Ogre::QueuedRenderableCollection::RadixSortFunctorPass</a>
, <a class="el" href="structOgre_1_1QueuedRenderableCollection_1_1RadixSortFunctorDistance.html#dc57cb46c570fb3e0dd3d1b6089dd6cf">Ogre::QueuedRenderableCollection::RadixSortFunctorDistance</a>
, <a class="el" href="structOgre_1_1SceneManager_1_1materialLess.html#f8782b00a396dac220a2c1846bd6a2a1">Ogre::SceneManager::materialLess</a>
, <a class="el" href="structOgre_1_1SceneManager_1_1lightLess.html#4fe8e843bafe331218daa68e78f5da39">Ogre::SceneManager::lightLess</a>
, <a class="el" href="structOgre_1_1SceneManager_1_1lightsForShadowTextureLess.html#fd50cf61b826b2acc84db8c45caaa61f">Ogre::SceneManager::lightsForShadowTextureLess</a>
<li>operator+()
: <a class="el" href="classOgre_1_1AnyNumeric.html#00fd7a417079429e2fd6b3622b51749f">Ogre::AnyNumeric</a>
, <a class="el" href="classOgre_1_1ColourValue.html#ba3d75622d5063ff08e5add5674a1914">Ogre::ColourValue</a>
, <a class="el" href="classOgre_1_1Radian.html#f59e90dc734c52f9094c6578a3214cd2">Ogre::Radian</a>
, <a class="el" href="classOgre_1_1Degree.html#56b9ef16ee2705bbc92b2e8b079b596f">Ogre::Degree</a>
, <a class="el" href="classOgre_1_1Matrix3.html#6b41bd7f552290c980690f69e4f54004">Ogre::Matrix3</a>
, <a class="el" href="classOgre_1_1Matrix4.html#c0c54ddc64f9b832ab2656f514060fbb">Ogre::Matrix4</a>
, <a class="el" href="classOgre_1_1Quaternion.html#3c71782cbc1d79c25d1374ffde29f918">Ogre::Quaternion</a>
, <a class="el" href="classOgre_1_1Vector2.html#806a988c00ef4351b8e6d534bd0f09b6">Ogre::Vector2</a>
, <a class="el" href="classOgre_1_1Vector3.html#f382b37682a172c036d1141083aeb351">Ogre::Vector3</a>
, <a class="el" href="classOgre_1_1Vector4.html#0b8c03743d6b8f72149f914f03998689">Ogre::Vector4</a>
<li>operator+=()
: <a class="el" href="classOgre_1_1AnyNumeric.html#a4087f5136e423b245fd620527e2966f">Ogre::AnyNumeric</a>
, <a class="el" href="classOgre_1_1ColourValue.html#8da50314432c59dee0aa3e6a72183e34">Ogre::ColourValue</a>
, <a class="el" href="classOgre_1_1Radian.html#bf3d4527839810f9d2212037660ea9f6">Ogre::Radian</a>
, <a class="el" href="classOgre_1_1Degree.html#0487bcf629d0f637293a6e23d3542ad6">Ogre::Degree</a>
, <a class="el" href="classOgre_1_1Vector2.html#ac6485bd52d65876c6d625f0dbbf634b">Ogre::Vector2</a>
, <a class="el" href="classOgre_1_1Vector3.html#e3ac60e2c77755046f6a00f09f54793a">Ogre::Vector3</a>
, <a class="el" href="classOgre_1_1Vector4.html#da0bb188b87a7187e49e9acfa4994a7f">Ogre::Vector4</a>
<li>operator-()
: <a class="el" href="classOgre_1_1Radian.html#18bfac55ff717cba106aa08bc731e26a">Ogre::Radian</a>
, <a class="el" href="classOgre_1_1Degree.html#7a6b950ba624d62c971fea03466e7333">Ogre::Degree</a>
, <a class="el" href="classOgre_1_1Matrix3.html#c0c776e7ee4604fd58715cf1edd62de7">Ogre::Matrix3</a>
, <a class="el" href="classOgre_1_1Matrix4.html#6c698c19379d5b4d2ff6e5dd186ad76c">Ogre::Matrix4</a>
, <a class="el" href="classOgre_1_1Quaternion.html#b07f890193a498d4091c3cbc6799ae4f">Ogre::Quaternion</a>
, <a class="el" href="classOgre_1_1Vector2.html#b00bb30f312804b9eeedb8c8816da88b">Ogre::Vector2</a>
, <a class="el" href="classOgre_1_1Vector3.html#b9a92534cc5b9799ea749ff9fb4f63af">Ogre::Vector3</a>
, <a class="el" href="classOgre_1_1Vector4.html#78b1555cd0ea1bcd609086003444e614">Ogre::Vector4</a>
, <a class="el" href="classOgre_1_1AnyNumeric.html#298def7d35b38a3751d396a26cbe0137">Ogre::AnyNumeric</a>
, <a class="el" href="classOgre_1_1ColourValue.html#16eb12d0c1eed21daae1553e6f200c01">Ogre::ColourValue</a>
, <a class="el" href="classOgre_1_1Radian.html#48020006e08701535eee9e2de3580161">Ogre::Radian</a>
<li>operator-=()
: <a class="el" href="classOgre_1_1AnyNumeric.html#826b7eaea253ac06098fec4002c5c768">Ogre::AnyNumeric</a>
, <a class="el" href="classOgre_1_1ColourValue.html#bbc9a8f5cc1c054eb5b4633d6b0b2262">Ogre::ColourValue</a>
, <a class="el" href="classOgre_1_1Radian.html#5f96dcd933471eabd3d3a21893554834">Ogre::Radian</a>
, <a class="el" href="classOgre_1_1Degree.html#133b76b6d58f5ce8f8e8ea55c04932e0">Ogre::Degree</a>
, <a class="el" href="classOgre_1_1Vector2.html#a4e5a79a3880c71499ea5c6fc3709151">Ogre::Vector2</a>
, <a class="el" href="classOgre_1_1Vector3.html#db8b9ff11371c1b011f8d46c36c54d40">Ogre::Vector3</a>
, <a class="el" href="classOgre_1_1Vector4.html#cc233206a14cef454dd0d9428848ebfc">Ogre::Vector4</a>
, <a class="el" href="classOgre_1_1Vector3.html#c514b9e1f5dbe855b1458a2d72a27621">Ogre::Vector3</a>
<li>operator-&gt;()
: <a class="el" href="classOgre_1_1SharedPtr.html#756cec152c2db605fe7424da7f8e879b">Ogre::SharedPtr&lt; T &gt;</a>
<li>operator/()
: <a class="el" href="classOgre_1_1Radian.html#d18c5c9a8ea302a4da28eb900b3062fa">Ogre::Radian</a>
, <a class="el" href="classOgre_1_1AnyNumeric.html#42655948f62f8795f0e1133c38aa4d8e">Ogre::AnyNumeric</a>
, <a class="el" href="classOgre_1_1ColourValue.html#80871b6a2fe6b35f99e13d43e05aac0b">Ogre::ColourValue</a>
, <a class="el" href="classOgre_1_1Degree.html#8766c6fff5a12b102427faf228e0a9cc">Ogre::Degree</a>
, <a class="el" href="classOgre_1_1Vector2.html#c22564f2426d1feaf991373d70ee2ba6">Ogre::Vector2</a>
, <a class="el" href="classOgre_1_1Vector3.html#c3c3bfa100cfa73e20523b8ab569626d">Ogre::Vector3</a>
, <a class="el" href="classOgre_1_1Vector4.html#fd54901fd7d3379584d0abd73a455518">Ogre::Vector4</a>
<li>operator/=()
: <a class="el" href="classOgre_1_1AnyNumeric.html#45c2fcf50e3b46055c7cf4f31dbd49f5">Ogre::AnyNumeric</a>
, <a class="el" href="classOgre_1_1ColourValue.html#3d17eedbff96cef8dbd4414183e15cb3">Ogre::ColourValue</a>
, <a class="el" href="classOgre_1_1Radian.html#16e2f53d94412cdc81c65292ba05c360">Ogre::Radian</a>
, <a class="el" href="classOgre_1_1Degree.html#502f121976cd95de2817ddb9b9ac1730">Ogre::Degree</a>
, <a class="el" href="classOgre_1_1Vector2.html#181745a04b7b95bffc331fd9a4519931">Ogre::Vector2</a>
, <a class="el" href="classOgre_1_1Vector3.html#fd733cc4140ba78de2427b8fa9951e12">Ogre::Vector3</a>
, <a class="el" href="classOgre_1_1Vector4.html#4c4def28bfaf96a3326747d2ef2ed08f">Ogre::Vector4</a>
, <a class="el" href="classOgre_1_1Vector2.html#5ee66b093d0a415c57e7918523cabeaf">Ogre::Vector2</a>
<li>operator&lt;()
: <a class="el" href="classOgre_1_1Radian.html#250bed316c17b3b3da0687a623000a24">Ogre::Radian</a>
, <a class="el" href="classOgre_1_1Degree.html#a804b980ae15f2269efbe9a5628b2a74">Ogre::Degree</a>
, <a class="el" href="structOgre_1_1RaySceneQueryResultEntry.html#34a0b8081991ce12025445ae35117ca6">Ogre::RaySceneQueryResultEntry</a>
, <a class="el" href="classOgre_1_1Vector2.html#a756107b53717cfa38efec9e0840f630">Ogre::Vector2</a>
, <a class="el" href="classOgre_1_1Vector3.html#f84d6701735b0c5f0a0f1534ef5ed46c">Ogre::Vector3</a>
<li>operator&lt;=()
: <a class="el" href="classOgre_1_1Radian.html#a2fc65d4505221f932d8a18a6812a44d">Ogre::Radian</a>
, <a class="el" href="classOgre_1_1Degree.html#a6571c77db42c899d4fd1ce1899486d3">Ogre::Degree</a>
<li>operator=()
: <a class="el" href="classOgre_1_1SharedPtr.html#fa22d1337c2afbd03d76b718e7b57d03">Ogre::SharedPtr&lt; T &gt;</a>
, <a class="el" href="classOgre_1_1Vector4.html#59f17a6c7980f16a571f535b2c47a8fc">Ogre::Vector4</a>
, <a class="el" href="classOgre_1_1MeshPtr.html#b011ed31dd7e9addd0850b2da9100052">Ogre::MeshPtr</a>
, <a class="el" href="classOgre_1_1PatchMeshPtr.html#aa4b9228f5a8d40e3ad5e3d6e180fc70">Ogre::PatchMeshPtr</a>
, <a class="el" href="classOgre_1_1Vector4.html#465dfb677017e546628f87470d6dbcd6">Ogre::Vector4</a>
, <a class="el" href="classOgre_1_1Radian.html#4eb5fdad21a84b38f56e21b939588845">Ogre::Radian</a>
, <a class="el" href="classOgre_1_1SkeletonPtr.html#08db394bd29df84c7e3f1f2977c17395">Ogre::SkeletonPtr</a>
, <a class="el" href="classOgre_1_1MapIterator.html#ad501695bb91705f81880ec1200c5d39">Ogre::MapIterator&lt; T &gt;</a>
, <a class="el" href="classOgre_1_1Image.html#69d732e215cba117bf93e0e7b5d1332a">Ogre::Image</a>
, <a class="el" href="classOgre_1_1GpuProgramPtr.html#914499e9f73ae0ea343b93a94802e541">Ogre::GpuProgramPtr</a>
, <a class="el" href="classOgre_1_1TexturePtr.html#9c0d31e0de80559b9ba2749f96caff65">Ogre::TexturePtr</a>
, <a class="el" href="classOgre_1_1MaterialPtr.html#12aad74083bc28b076bb5922ce80f1d6">Ogre::MaterialPtr</a>
, <a class="el" href="classOgre_1_1CompositorPtr.html#49e481010170b8cfa6a1b6367d3b7551">Ogre::CompositorPtr</a>
, <a class="el" href="classOgre_1_1AnyNumeric.html#e50aea5f19e2fd3957eebbd688c0a533">Ogre::AnyNumeric</a>
, <a class="el" href="classOgre_1_1Any.html#b714694739f9a50a361f3087e2188c94">Ogre::Any</a>
, <a class="el" href="classOgre_1_1SharedPtr.html#1ce00b90526a205ae31268a88bc9ed35">Ogre::SharedPtr&lt; T &gt;</a>
, <a class="el" href="classOgre_1_1OptimisedUtil.html#e8975dc2a98c5ae3eb511e8a0336e51e">Ogre::OptimisedUtil</a>
, <a class="el" href="classOgre_1_1Degree.html#1fa8bd1b85a6346de4570c8c7580988f">Ogre::Degree</a>
, <a class="el" href="classOgre_1_1Radian.html#3762e26668e58d4225b9a5a9326b47b4">Ogre::Radian</a>
, <a class="el" href="classOgre_1_1ConstMapIterator.html#85c69310af9e9fa589e199a33998e9f6">Ogre::ConstMapIterator&lt; T &gt;</a>
, <a class="el" href="classOgre_1_1Any.html#8faca9b09747949f65fb191c7963c7e1">Ogre::Any</a>
, <a class="el" href="structOgre_1_1TRect.html#7acb1f97164a856f9e39305dbd2812bd">Ogre::TRect&lt; T &gt;</a>
, <a class="el" href="classOgre_1_1Pass.html#15bb76abae180b60dfcf9a6e1fdcd8fe">Ogre::Pass</a>
, <a class="el" href="classOgre_1_1Exception.html#14a5cff744c7abf8b65633e1e5004f11">Ogre::Exception</a>
, <a class="el" href="classOgre_1_1HighLevelGpuProgramPtr.html#4b59cf9327408396b9e7d0c51d5045fc">Ogre::HighLevelGpuProgramPtr</a>
, <a class="el" href="classOgre_1_1GpuProgramParameters.html#707d1d61ad8afe4e43548c7a9d76a061">Ogre::GpuProgramParameters</a>
, <a class="el" href="classOgre_1_1GpuProgramPtr.html#6d439ea72fab29d5acf391500ebdd958">Ogre::GpuProgramPtr</a>
, <a class="el" href="classOgre_1_1HighLevelGpuProgramPtr.html#1667f5ba8e31498e6b76c6663840499c">Ogre::HighLevelGpuProgramPtr</a>
, <a class="el" href="classOgre_1_1FontPtr.html#59dc04f6e3800dc74639d7220d0f4f84">Ogre::FontPtr</a>
, <a class="el" href="classOgre_1_1Material.html#da9d917b97ae23bbd61ab8a811dd14cf">Ogre::Material</a>
, <a class="el" href="classOgre_1_1Radian.html#fab8ce89cde3034f3cc5c2537d5ea6fd">Ogre::Radian</a>
, <a class="el" href="classOgre_1_1AxisAlignedBox.html#fa0d6b257b3c1da62dd8944a02eae3f1">Ogre::AxisAlignedBox</a>
, <a class="el" href="classOgre_1_1Matrix3.html#f1d37de5c682f78870aae007ee71a360">Ogre::Matrix3</a>
, <a class="el" href="classOgre_1_1Matrix4.html#5c5f37c501d49692728909d11dd8c1de">Ogre::Matrix4</a>
, <a class="el" href="classOgre_1_1ParticleSystem.html#52aa4e84426ffe6b7dbb75d6ee05581b">Ogre::ParticleSystem</a>
, <a class="el" href="classOgre_1_1Degree.html#70c2e6332981d0932d3ee75b8460cb7d">Ogre::Degree</a>
, <a class="el" href="classOgre_1_1Quaternion.html#6367b543cf0d073d893139dd503b4fbd">Ogre::Quaternion</a>
, <a class="el" href="classOgre_1_1Technique.html#c251efbed20452a6efb1361ea5d27496">Ogre::Technique</a>
, <a class="el" href="classOgre_1_1TextureUnitState.html#ba48cec6d1b8ce8973b0fa1dac2312b7">Ogre::TextureUnitState</a>
, <a class="el" href="classOgre_1_1Vector2.html#057b23bf29fadca9f2a4f0ff19a9bf61">Ogre::Vector2</a>
, <a class="el" href="classOgre_1_1Vector3.html#b5de4a9f833c4427a3b2105fcd6f96ad">Ogre::Vector3</a>
, <a class="el" href="classOgre_1_1Vector4.html#69daa0f94cfeb2c725521b1672204bf7">Ogre::Vector4</a>
, <a class="el" href="classOgre_1_1Vector2.html#94d813e76f805306436e19a785e75a26">Ogre::Vector2</a>
, <a class="el" href="classOgre_1_1VertexData.html#e1bb626aef6af169178ee9f7165aaed0">Ogre::VertexData</a>
, <a class="el" href="classOgre_1_1IndexData.html#08123703bd41086056399dfb69d9b0a9">Ogre::IndexData</a>
<li>operator==()
: <a class="el" href="classOgre_1_1Matrix3.html#14f0de269999f5e58d7ec11f09e82fff">Ogre::Matrix3</a>
, <a class="el" href="classOgre_1_1Vector2.html#4404d6cdc32ecbc7d1b4ff5bc247d68a">Ogre::Vector2</a>
, <a class="el" href="classOgre_1_1Vector4.html#e7f48d8e2036594f4d65e2dca9fe286a">Ogre::Vector4</a>
, <a class="el" href="classOgre_1_1AxisAlignedBox.html#60fe1a0464ed6991c3ec82fada37bb17">Ogre::AxisAlignedBox</a>
, <a class="el" href="classOgre_1_1Quaternion.html#a20c618a3b4b67d22d2cfd64ba2c8f3b">Ogre::Quaternion</a>
, <a class="el" href="classOgre_1_1Matrix4.html#5eb73fdc4084eed850221ed14f558ff2">Ogre::Matrix4</a>
, <a class="el" href="classOgre_1_1Vector3.html#4911c81b5674a51a267f672d94519bd7">Ogre::Vector3</a>
, <a class="el" href="classOgre_1_1VertexDeclaration.html#ee364dc39b2dfdbff4a5b135e5e5ef39">Ogre::VertexDeclaration</a>
, <a class="el" href="classOgre_1_1AnimationState.html#01a1f30ff86bad2817be3675a6c3e67b">Ogre::AnimationState</a>
, <a class="el" href="structOgre_1_1SceneManager_1_1LightInfo.html#5799c4e34448b86d884f004ea7510600">Ogre::SceneManager::LightInfo</a>
, <a class="el" href="classOgre_1_1ConvexBody.html#d671d14101224807f28de10abf66f8cd">Ogre::ConvexBody</a>
, <a class="el" href="classOgre_1_1LayerBlendModeEx.html#4c678a65c3a32728622812d2784c2e6d">Ogre::LayerBlendModeEx</a>
, <a class="el" href="classOgre_1_1Plane.html#06e8f4ea4698c322580c4299f6a12e07">Ogre::Plane</a>
, <a class="el" href="classOgre_1_1VertexElement.html#65832073a574e06903adc1101e109732">Ogre::VertexElement</a>
, <a class="el" href="classOgre_1_1AlignedAllocator.html#ccccdf14d5e1b920eb9a3b99a6654872">Ogre::AlignedAllocator&lt; T, Alignment &gt;</a>
, <a class="el" href="classOgre_1_1ColourValue.html#6b32525e447b9ed0a5e1052fd62ceb2e">Ogre::ColourValue</a>
, <a class="el" href="classOgre_1_1Polygon.html#e607fbd8d07ef696d741499e4fe47673">Ogre::Polygon</a>
, <a class="el" href="classOgre_1_1Radian.html#c24518160311c4c3b911a3e9d7c8b52c">Ogre::Radian</a>
, <a class="el" href="classOgre_1_1Degree.html#c7fdbdf93b40d63acd507aa7ce3d5f24">Ogre::Degree</a>
<li>operator&gt;()
: <a class="el" href="classOgre_1_1Radian.html#30c7c6a0c20e53fdb590875475be85f0">Ogre::Radian</a>
, <a class="el" href="classOgre_1_1Degree.html#8f8322dc7cb6985ebaeb33667c273cd1">Ogre::Degree</a>
, <a class="el" href="classOgre_1_1Vector2.html#a66f1e244af12ef400f1cc416b408e19">Ogre::Vector2</a>
, <a class="el" href="classOgre_1_1Vector3.html#17134a53241f0ccdecc851616f2c6464">Ogre::Vector3</a>
<li>operator&gt;=()
: <a class="el" href="classOgre_1_1Degree.html#aea0b9a47bc137d887ce4b2f2a3d33b3">Ogre::Degree</a>
, <a class="el" href="classOgre_1_1Radian.html#70897e9d1e52953a89271fe39272f27e">Ogre::Radian</a>
<li>operator&gt;&gt;()
: <a class="el" href="classOgre_1_1DataStream.html#05072afd475d6875eedd5fc81a73123a">Ogre::DataStream</a>
<li>operator[]()
: <a class="el" href="classOgre_1_1Vector2.html#ae029eb05f9ab47565e5b47bb2ee9d91">Ogre::Vector2</a>
, <a class="el" href="classOgre_1_1Vector3.html#776848af1b3d4d74b9e54ec8de046b36">Ogre::Vector3</a>
, <a class="el" href="classOgre_1_1Matrix4.html#4d1282bf2eae1c961e7adc14f521c1af">Ogre::Matrix4</a>
, <a class="el" href="classOgre_1_1Quaternion.html#3f9320930fd5110028abf48c78a89622">Ogre::Quaternion</a>
, <a class="el" href="classOgre_1_1Vector2.html#71b01bfe42118ef067e14e1092e7773f">Ogre::Vector2</a>
, <a class="el" href="classOgre_1_1Quaternion.html#074aea0da7fabfde89d204a1f0f0121b">Ogre::Quaternion</a>
, <a class="el" href="classOgre_1_1ColourValue.html#8a5e5d15068037cd9c3e3a13dd45b267">Ogre::ColourValue</a>
, <a class="el" href="classOgre_1_1Vector4.html#a55187a08d385c6c367cc16338ad23ce">Ogre::Vector4</a>
, <a class="el" href="classOgre_1_1Matrix3.html#d5ae794f77955d57e92f0457bcdf0d0b">Ogre::Matrix3</a>
, <a class="el" href="classOgre_1_1Matrix4.html#a996041c004dbfd5629120299ee0cb6f">Ogre::Matrix4</a>
<li>optimise()
: <a class="el" href="classOgre_1_1VertexAnimationTrack.html#366c0dfa30d9b59d685ff1f7622b5ba7">Ogre::VertexAnimationTrack</a>
, <a class="el" href="classOgre_1_1NodeAnimationTrack.html#bab18a48c2cf56ef09d5049fa8289ad2">Ogre::NodeAnimationTrack</a>
, <a class="el" href="classOgre_1_1AnimationTrack.html#d96281be1b189c69a1dbd2283d583503">Ogre::AnimationTrack</a>
, <a class="el" href="classOgre_1_1Animation.html#6c74bfa5a7755f2cc6fa5635f50afef6">Ogre::Animation</a>
<li>optimiseAllAnimations()
: <a class="el" href="classOgre_1_1Skeleton.html#542c24dc374d0ff8ba4ecdda99b5da06">Ogre::Skeleton</a>
<li>OptimisedSubMeshGeometry()
: <a class="el" href="classOgre_1_1StaticGeometry_1_1OptimisedSubMeshGeometry.html#d74c3d8bc57c3902ad3f1be62fc552fd">Ogre::StaticGeometry::OptimisedSubMeshGeometry</a>
, <a class="el" href="classOgre_1_1InstancedGeometry_1_1OptimisedSubMeshGeometry.html#7d685dacc3a06df28b95968f922d93df">Ogre::InstancedGeometry::OptimisedSubMeshGeometry</a>
<li>OptimisedUtil()
: <a class="el" href="classOgre_1_1OptimisedUtil.html#cd57a62f0ea9db4ef52b4d39d83fd019">Ogre::OptimisedUtil</a>
<li>optimiseNodeTracks()
: <a class="el" href="classOgre_1_1Animation.html#8f0caeee9db7f221427d9c4c741f1ce6">Ogre::Animation</a>
<li>optimiseVertexCacheTriList()
: <a class="el" href="classOgre_1_1IndexData.html#0c19f7fc00c66266fd0d7fe671733112">Ogre::IndexData</a>
<li>optimiseVertexTracks()
: <a class="el" href="classOgre_1_1Animation.html#76c998bd82d0a638248af8256d67d95f">Ogre::Animation</a>
<li>optionChanged()
: <a class="el" href="classOgre_1_1ConfigDialog.html#65368b816eb40902c408328a2929b447">Ogre::ConfigDialog</a>
<li>organiseTangentsBuffer()
: <a class="el" href="classOgre_1_1Mesh.html#7b7b7151844176e7dfe4a19bf3c95935">Ogre::Mesh</a>
<li>Orthonormalize()
: <a class="el" href="classOgre_1_1Matrix3.html#dd64f270c75286c4cafa3b242778573f">Ogre::Matrix3</a>
<li>Overlay()
: <a class="el" href="classOgre_1_1Overlay.html#8d6c54081ea142edf528d4253f32a913">Ogre::Overlay</a>
<li>OverlayContainer()
: <a class="el" href="classOgre_1_1OverlayContainer.html#0f09017210064bf2fc19066e01f002d1">Ogre::OverlayContainer</a>
<li>OverlayElement()
: <a class="el" href="classOgre_1_1OverlayElement.html#dcc36fbc7c77c562cd66ec301cf1f889">Ogre::OverlayElement</a>
<li>OverlayManager()
: <a class="el" href="classOgre_1_1OverlayManager.html#f2079b7b61e8df96d67f852aa6de7dac">Ogre::OverlayManager</a>
</ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:01 2008
</p>
</body>
</html>
